import java.util.Scanner;

class ArrayInitialization
{
	public static void main(String[] args){
		Scanner input = new Scanner(System.in);
		int n = input.nextInt();
		
		int[] array1d = new int[n];
		for (int i = 0; i < n; i ++){
			array1d[i] = i;
		}
		for (int i = 0; i < n; i ++){
			System.out.print(array1d[i] + " ");
		}
		System.out.println();
		
		int[][] array2d = new int[n][n];
		for (int i = 0; i < n; i ++){
			for (int j = 0; j < n; j ++){
				array2d[i][j] = i*n+j;
			}
		}
		for (int i = 0; i < n; i ++){
			for (int j = 0; j < n; j ++){
				System.out.print(array2d[i][j] + " " );
			}
			System.out.println();
		}
		
		int[][] lowerDiagonal = new int[n][];
		for (int i = 0; i < n; i ++){
			lowerDiagonal[i] = new int[i+1];
			for (int j = 0; j < i+1; j ++){
				lowerDiagonal[i][j] = i*(i+1)/2 + j;
			}
		}
		for (int i = 0; i < n; i ++){
			for (int j = 0; j < i+1; j ++){
				System.out.print(lowerDiagonal[i][j] + " ");
			}
			System.out.println();
		}
	}
}